ulong is_image = () {
                      ulong flag = 1;

                      with (flag)
                      {
                        if (...) _ = 0;
                        if (...) _ = 0;
                        if (...) _ = 0;
                      }

                      return flag;
                    };
